### 4.22.5 string related functions

`charstr`
  description of the coefficient field of a ring (see charstr)
`execute`
  executing string as command (see execute)
`find`
  position of a substring in a string (see find)
`names`
  list of strings of all user-defined variable names (see names)
`nameof`
  name of an object (see nameof)
`option`
  lists all defined options (see option)
`ordstr`
  monomial ordering of a ring (see ordstr)
`parstr`
  names of all ring parameters or the name of the n-th ring parameter (see parstr)
`read`
  read a file (see read)
`size`
  length of a string (see size)
`sprintf`
  string formatting (see sprintf)
`typeof`
  type of an object (see typeof)
`varstr`
  names of all ring variables or the name of the n-th ring variable (see varstr)

User manual for Singular version 4.4.1, 2025, generated by texi2html.